/*
* HMG Embedded Child Window Demo
* (c) 2002-2010 Roberto Lopez <mail.box.hmg@gmail.com>
*/

#include "hmg.ch"

Function Main

	SET SCROLLSTEP TO 10

	DEFINE WINDOW Win_Main ;
		ROW 0 ;
		COL 0 ;
		WIDTH 600 ;
		HEIGHT 400 ;
		TITLE 'HMG Panel Window Demo' ;
		WINDOWTYPE MAIN
	
			DEFINE BUTTON BUTTON_1
				ROW		40
				COL		20
				Width	300
				CAPTION 'Click me!'
				ACTION		CallModalWindow()
				
			END BUTTON
	END WINDOW
	
	center window Win_Main
	activate window Win_Main
 return

function CallModalWindow

	DEFINE WINDOW Win_Modal ;
		at 0, 0 ;
		WIDTH 600 ;
		HEIGHT 600 ;
		Virtual Width 2000 ;
		Virtual Height 2000 ;
		TITLE 'HMG Panel Window Demo' ;
		MODAL 


		DEFINE WINDOW PanelWindow ;
			ROW 30 ;
			COL 30 ;
			WIDTH 500 ;
			HEIGHT 300 ;
			WINDOWTYPE PANEL

			DEFINE LABEL LABEL_1
				ROW		10
				COL		20
				VALUE		'Panel windows...'
				WIDTH		300
			END LABEL

			DEFINE BUTTON BUTTON_1
				ROW		40
				COL		20
				Width	300
				CAPTION 'Click me!'
				ACTION		MsgInfo('Button clicked!')
				
			END BUTTON
			
			define textbox text1
				row 70
				col 100
				width 200
				height 20
				value 'this is text control'
			end textbox
			
			define label Label1
				row 100
				col 100
				width 200
				height 100
				BackColor  {0,255,0}
				value "this is test label - CLICK FOR CHANGE COLOUR"
				On Click this.BackColor := {255,0,0}
			end label	
			
			define control ContextMenu Label1
				MenuItem "Click me!" action msginfo("This is Context Menu of Label1")
			end menu
			
		END WINDOW


		DEFINE BUTTON BUTTON_2
			ROW		350
			COL		10
			WIDTH		300
			CAPTION		'Click to print preview'
			ACTION		PrintPreview()
			CAPTION		'Button in basic window'
		END BUTTON


	END WINDOW


	Win_Modal.Center 

	Activate Window Win_Modal

Return

*---------------------------

function PrintPreview

	local cPrinter := GetDefaultPrinter()
	
	SELECT PRINTER cPrinter ;
			ORIENTATION	PRINTER_ORIENT_PORTRAIT ;
			PAPERSIZE	PRINTER_PAPER_A4 ;
			QUALITY		PRINTER_RES_MEDIUM ;
			PREVIEW

	START PRINTDOC name "Print preview"
	START PRINTPAGE
	@ 40, 40 PRINT RECTANGLE TO 60,150;
			COLOR BLACK;
			PENWIDTH 0.2
			
	@ 50, 50 print "Something to print... It doesn't matter what :)";
				FONT "ARIAL CE" ;
				SIZE 12 ;
				UNDERLINE BOLD ;
				COLOR BLACK


	END PRINTPAGE
	END PRINTDOC
	
	PanelWindow.Label1.BackColor := {0,255,0}
	PanelWindow.Label1.BackColor := {0,255,0}
	PanelWindow.Label1.Value := "Now, click on this label and any other control in this panel window will not take any action"
	
return .t.
